For the complete documentation index, see llms.txt. This page is also available as Markdown.

Top Runes by Volume

This endpoint provides the top runes by sales volume for different time periods, along with runes' metadata & market data.

get

Get top runes by volume.

Authorizations
x-api-keystringRequired
Query parameters
timePeriodstring · enumOptional
  • 24h - trailing 24 hours' volume, ending at the start of the prior hour (default)
  • trailing7d - trailing 7 days' volume, ending at the start of the prior hour
  • trailing30d - trailing 30 days' volume, ending at the start of the prior hour
  • 1d - prior day's volume, ending at midnight GMT
  • 7d - prior seven days' volume, ending at midnight GMT
  • 30d - prior 30 days' volume, ending at midnight GMT
Default: 24hPossible values:
offsetnumberOptionalDefault: 0
limitnumber · max: 25OptionalDefault: 10
Responses
200

Default Response

application/json
totalnumberRequired
offsetnumberRequired
limitnumberRequired
timePeriodstringRequired
get/v1/runes/stats/top-by-volume
GET /v1/runes/stats/top-by-volume HTTP/1.1
Host: api.secretkeylabs.io
x-api-key: YOUR_API_KEY
Accept: */*
{
  "total": 1,
  "offset": 1,
  "limit": 1,
  "timePeriod": "text",
  "runes": [
    {
      "runeId": "text",
      "tradingVolumeSats": "text",
      "name": "text",
      "symbol": "text",
      "inscriptionRenderUrl": "text",
      "floorPrice": {
        "valueInSats": "text",
        "valueInUsd": "text",
        "percentageChange24h": {
          "valueInSats": "text",
          "valueInUsd": "text"
        }
      },
      "marketCap": {
        "valueInSats": "text",
        "valueInUsd": "text"
      }
    }
  ]
}

Last updated